Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 261813 - Some KDE4 packages break permissions to /usr/share/config (it affects various packages, like app-office/akonadi-server as a result)
Summary: Some KDE4 packages break permissions to /usr/share/config (it affects various...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
: 257504 278312 278795 293545 (view as bug list)
Depends on:
Blocks: 274420 313999
  Show dependency tree
 
Reported: 2009-03-09 06:38 UTC by Trenton D. Adams
Modified: 2010-05-30 18:16 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---
tampakrap: Bugday+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Trenton D. Adams 2009-03-09 06:38:41 UTC
The akonadi refuses to start.  It complains that it cannot find the file mysql-global.conf.  So, I went searching, and found that some permissions are incorrect...

trenta@tdamac ~ $ ls -ld /usr/share/
drwxr-xr-x 272 root root 8192 Mar  8 13:44 /usr/share/
trenta@tdamac ~ $ ls -ld /usr/share/config/           
drwx------ 3 root root 4096 Mar  2 23:16 /usr/share/config/
trenta@tdamac ~ $ chmod og+rx /usr/share/config/
chmod: changing permissions of `/usr/share/config/': Operation not permitted
trenta@tdamac ~ $ sudo chmod og+rx /usr/share/config/
trenta@tdamac ~ $ ls -ld /usr/share/config/
akonadi/    kmplayerrc                     
trenta@tdamac ~ $ ls -ld /usr/share/config/akonadi/
drwxr-xr-x 2 root root 4096 Mar  9 00:24 /usr/share/config/akonadi/
trenta@tdamac ~ $ akonadictl start
Starting Akonadi Server...       
   done.       

I think that should be enough.  But for more details, please see the forum post...

http://forums.gentoo.org/viewtopic-p-5545994.html#5545994

Reproducible: Always
Comment 1 Trenton D. Adams 2009-03-09 06:44:58 UTC
Oh, I did forget to mention that I get the following error before the permission changes...

akonadictl start

trenta@tdamac ~ $ [akonadiserver] Did not find MySQL server default configuration (mysql-global.conf)
[akonadiserver] "[                                                                                   
[akonadiserver] 0: akonadiserver(_Z10kBacktracev+0x37) [0x40a1b7]                                   
[akonadiserver] 1: akonadiserver [0x40a718]                                                         
[akonadiserver] 2: /lib/libc.so.6 [0x7fba618351d0]                                                   
[akonadiserver] 3: /lib/libc.so.6(gsignal+0x35) [0x7fba61835165]                                     
[akonadiserver] 4: /lib/libc.so.6(abort+0x10e) [0x7fba618364de]                                     
[akonadiserver] 5: /usr/lib64/qt4/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x69) [0x7fba629d6fa9]
[akonadiserver] 6: akonadiserver(_ZN15FileDebugStream9writeDataEPKcx+0xa8) [0x40b548]                     
[akonadiserver] 7: /usr/lib64/qt4/libQtCore.so.4(_ZN9QIODevice5writeEPKcx+0x79) [0x7fba62a4eec9]         
[akonadiserver] 8: /usr/lib64/qt4/libQtCore.so.4 [0x7fba62a57929]                                         
[akonadiserver] 9: /usr/lib64/qt4/libQtCore.so.4(_ZN11QTextStreamD1Ev+0x68) [0x7fba62a57c98]             
[akonadiserver] 10: akonadiserver(_ZN6QDebugD1Ev+0x44) [0x406a64]                                         
[akonadiserver] 11: /usr/lib64/libakonadiprivate.so.1(_ZN7Akonadi13AkonadiServer20startDatabaseProcessEv+0x397) [0x7fba63715f87]
[akonadiserver] 12: /usr/lib64/libakonadiprivate.so.1(_ZN7Akonadi13AkonadiServerC1EP7QObject+0x6c) [0x7fba6371a6cc]             
[akonadiserver] 13: /usr/lib64/libakonadiprivate.so.1(_ZN7Akonadi13AkonadiServer8instanceEv+0x47) [0x7fba6371bcc7]             
[akonadiserver] 14: akonadiserver(main+0x1c7) [0x406197]                                                                       
[akonadiserver] 15: /lib/libc.so.6(__libc_start_main+0xf4) [0x7fba618224a4]                                                     
[akonadiserver] 16: akonadiserver(_ZNK9QIODevice5atEndEv+0x49) [0x405f29]                                                       
[akonadiserver] ]                                                                                                               
[akonadiserver] "                                                                                                               
ProcessControl: Application 'akonadiserver' returned with exit code 255 (Unknown error)                                         
[akonadiserver] Did not find MySQL server default configuration (mysql-global.conf)                                             
[akonadiserver] "[                                                                                                             
[akonadiserver] 0: akonadiserver(_Z10kBacktracev+0x37) [0x40a1b7]                                                               
[akonadiserver] 1: akonadiserver [0x40a718]                                                                                     
[akonadiserver] 2: /lib/libc.so.6 [0x7f29609291d0]                                                                             
[akonadiserver] 3: /lib/libc.so.6(gsignal+0x35) [0x7f2960929165]                                                               
[akonadiserver] 4: /lib/libc.so.6(abort+0x10e) [0x7f296092a4de]                                                                 
[akonadiserver] 5: /usr/lib64/qt4/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x69) [0x7f2961acafa9]                     
[akonadiserver] 6: akonadiserver(_ZN15FileDebugStream9writeDataEPKcx+0xa8) [0x40b548]                                           
[akonadiserver] 7: /usr/lib64/qt4/libQtCore.so.4(_ZN9QIODevice5writeEPKcx+0x79) [0x7f2961b42ec9]                               
[akonadiserver] 8: /usr/lib64/qt4/libQtCore.so.4 [0x7f2961b4b929]                                                               
[akonadiserver] 9: /usr/lib64/qt4/libQtCore.so.4(_ZN11QTextStreamD1Ev+0x68) [0x7f2961b4bc98]                                   
[akonadiserver] 10: akonadiserver(_ZN6QDebugD1Ev+0x44) [0x406a64]                                                               
[akonadiserver] 11: /usr/lib64/libakonadiprivate.so.1(_ZN7Akonadi13AkonadiServer20startDatabaseProcessEv+0x397) [0x7f2962809f87]
[akonadiserver] 12: /usr/lib64/libakonadiprivate.so.1(_ZN7Akonadi13AkonadiServerC1EP7QObject+0x6c) [0x7f296280e6cc]             
[akonadiserver] 13: /usr/lib64/libakonadiprivate.so.1(_ZN7Akonadi13AkonadiServer8instanceEv+0x47) [0x7f296280fcc7]             
[akonadiserver] 14: akonadiserver(main+0x1c7) [0x406197]                                                                       
[akonadiserver] 15: /lib/libc.so.6(__libc_start_main+0xf4) [0x7f29609164a4]
[akonadiserver] 16: akonadiserver(_ZNK9QIODevice5atEndEv+0x49) [0x405f29]
[akonadiserver] ]
[akonadiserver] "
ProcessControl: Application 'akonadiserver' returned with exit code 255 (Unknown error)
[akonadiserver] Did not find MySQL server default configuration (mysql-global.conf)
[akonadiserver] "[
[akonadiserver] 0: akonadiserver(_Z10kBacktracev+0x37) [0x40a1b7]
[akonadiserver] 1: akonadiserver [0x40a718]
[akonadiserver] 2: /lib/libc.so.6 [0x7f8dbd2161d0]
[akonadiserver] 3: /lib/libc.so.6(gsignal+0x35) [0x7f8dbd216165]
[akonadiserver] 4: /lib/libc.so.6(abort+0x10e) [0x7f8dbd2174de]
[akonadiserver] 5: /usr/lib64/qt4/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x69) [0x7f8dbe3b7fa9]
[akonadiserver] 6: akonadiserver(_ZN15FileDebugStream9writeDataEPKcx+0xa8) [0x40b548]
[akonadiserver] 7: /usr/lib64/qt4/libQtCore.so.4(_ZN9QIODevice5writeEPKcx+0x79) [0x7f8dbe42fec9]
[akonadiserver] 8: /usr/lib64/qt4/libQtCore.so.4 [0x7f8dbe438929]
[akonadiserver] 9: /usr/lib64/qt4/libQtCore.so.4(_ZN11QTextStreamD1Ev+0x68) [0x7f8dbe438c98]
[akonadiserver] 10: akonadiserver(_ZN6QDebugD1Ev+0x44) [0x406a64]
[akonadiserver] 11: /usr/lib64/libakonadiprivate.so.1(_ZN7Akonadi13AkonadiServer20startDatabaseProcessEv+0x397) [0x7f8dbf0f6f87]
[akonadiserver] 12: /usr/lib64/libakonadiprivate.so.1(_ZN7Akonadi13AkonadiServerC1EP7QObject+0x6c) [0x7f8dbf0fb6cc]
[akonadiserver] 13: /usr/lib64/libakonadiprivate.so.1(_ZN7Akonadi13AkonadiServer8instanceEv+0x47) [0x7f8dbf0fccc7]
[akonadiserver] 14: akonadiserver(main+0x1c7) [0x406197]
[akonadiserver] 15: /lib/libc.so.6(__libc_start_main+0xf4) [0x7f8dbd2034a4]
[akonadiserver] 16: akonadiserver(_ZNK9QIODevice5atEndEv+0x49) [0x405f29]
[akonadiserver] ]
[akonadiserver] "
ProcessControl: Application 'akonadiserver' returned with exit code 255 (Unknown error)
[akonadiserver] Did not find MySQL server default configuration (mysql-global.conf)
[akonadiserver] "[
[akonadiserver] 0: akonadiserver(_Z10kBacktracev+0x37) [0x40a1b7]
[akonadiserver] 1: akonadiserver [0x40a718]
[akonadiserver] 2: /lib/libc.so.6 [0x7f65d35741d0]
[akonadiserver] 3: /lib/libc.so.6(gsignal+0x35) [0x7f65d3574165]
[akonadiserver] 4: /lib/libc.so.6(abort+0x10e) [0x7f65d35754de]
[akonadiserver] 5: /usr/lib64/qt4/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x69) [0x7f65d4715fa9]
[akonadiserver] 6: akonadiserver(_ZN15FileDebugStream9writeDataEPKcx+0xa8) [0x40b548]
[akonadiserver] 7: /usr/lib64/qt4/libQtCore.so.4(_ZN9QIODevice5writeEPKcx+0x79) [0x7f65d478dec9]
[akonadiserver] 8: /usr/lib64/qt4/libQtCore.so.4 [0x7f65d4796929]
[akonadiserver] 9: /usr/lib64/qt4/libQtCore.so.4(_ZN11QTextStreamD1Ev+0x68) [0x7f65d4796c98]
[akonadiserver] 10: akonadiserver(_ZN6QDebugD1Ev+0x44) [0x406a64]
[akonadiserver] 11: /usr/lib64/libakonadiprivate.so.1(_ZN7Akonadi13AkonadiServer20startDatabaseProcessEv+0x397) [0x7f65d5454f87]
[akonadiserver] 12: /usr/lib64/libakonadiprivate.so.1(_ZN7Akonadi13AkonadiServerC1EP7QObject+0x6c) [0x7f65d54596cc]
[akonadiserver] 13: /usr/lib64/libakonadiprivate.so.1(_ZN7Akonadi13AkonadiServer8instanceEv+0x47) [0x7f65d545acc7]
[akonadiserver] 14: akonadiserver(main+0x1c7) [0x406197]
[akonadiserver] 15: /lib/libc.so.6(__libc_start_main+0xf4) [0x7f65d35614a4]
[akonadiserver] 16: akonadiserver(_ZNK9QIODevice5atEndEv+0x49) [0x405f29]
[akonadiserver] ]
[akonadiserver] "
ProcessControl: Application 'akonadiserver' returned with exit code 255 (Unknown error)
"akonadiserver" crashed too often and will not be restarted!
Comment 2 Jeroen Roovers (RETIRED) gentoo-dev 2009-03-11 18:29:23 UTC
Please post your `emerge --info' too.
Comment 3 Trenton D. Adams 2009-03-11 19:42:06 UTC
tdamac ~ # emerge --info
Portage 2.1.6.7 (default/linux/amd64/2008.0/desktop, gcc-4.1.2, glibc-2.8_p20080602-r1, 2.6.28-gentoo-r2 x86_64)
=================================================================                                               
System uname: Linux-2.6.28-gentoo-r2-x86_64-Intel-R-_Core-TM-2_CPU_T7400_@_2.16GHz-with-glibc2.2.5              
Timestamp of tree: Sun, 08 Mar 2009 10:30:01 +0000                                                              
app-shells/bash:     3.2_p39                                                                                    
dev-java/java-config: 1.3.7-r1, 2.1.6-r1                                                                        
dev-lang/python:     2.4.4-r13, 2.5.2-r7                                                                        
dev-util/cmake:      2.6.3                                                                                      
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.3.9
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=nocona -fomit-frame-pointer -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/4.2/env /usr/kde/4.2/share/config /usr/kde/4.2/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="buildpkg distlocks fixpackages parallel-fetch protect-owned sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 acl acpi alsa amd64 apache2 apm audiofile avi bash-completion berkdb bitmap-fonts bluetooth branding bzip2 cairo cdr cgi clicracklib crypt ctype cups cupsddk dba dbus divx4linux dlloader dri dv dvd dvdr dvdread eds emboss encode esd ethereal evo exif expat fam fame fastbuild fax ffmpeg firefox foomaticdb force-cgi-redirect fortran ftp gd gdbm gif glut gmp gnome gpm gstreamer gtk gtk2 gtkhtml guile hal iconv icq idn imlib ipv6 isdnlog java jpeg kde kdeprefix lcms ldap libg++ libnotify libwww mad memlimit midi mikmod mmx mng motif mozilla mp3 mpeg mppe-mppc mppemppc msn mudflap multilib mysql ncurses networking nls nptl nptlonly ogg opengl openmp oracle oscar oss pam pcre pdf pdflib perl php png posix postgres ppds ppp pppd python qt qt3 qt3support qt4 quicktime readline reflection samba scanner sdl session simplexml slang snmp soap sockets spell spl sql sse sse2 ssl startup-notification subtitles subversion svg sysfs tcltk tcpd threads tiff tokenizer truetype truetype-fonts type1-fonts udev unicode usb v4l v4l2 vhosts vorbis webkit winbind x264 xinerama xml xml2 xorg xsl xulrunner xv xvid yahoo zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias proxy proxy_ajp proxy_balancer proxy_connect proxy_http auth_digest proxy_ftp" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="vesa fbdev intel"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 4 Jeroen Roovers (RETIRED) gentoo-dev 2009-03-12 16:41:24 UTC
When did you last run a configuration maintenance tool such as dispatch-conf or etc-update?

It seems that kdelibs is setting CONFIG_PROTECT on /usr/share/config, and akonadi depends on kdelibs and is therefore merged afterwards. This could turn out to be a bug in sys-apps/portage, but I'll leave a more thorough investigation of the problem to the KDE team. It's probably to do with this bit from the kdelibs ebuilds:

    # Ensure that the correct permissions are set on ${PREFIX}/share/config
    fperms 755 "${PREFIX}"/share/config

as well as:

    elog "If you experience weird application behavior (missing texts, etc.) run as root:"
    elog "# chmod 755 -R /usr/share/config $PREFIX/share/config"
Comment 5 Trenton D. Adams 2009-03-12 18:26:14 UTC
I run dispatch-conf every time I update.
Comment 6 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-03-13 16:14:05 UTC
Jeroen,

thanks for reassigning this bug to us.
This (the 700 /usr/share/config issue) is an old bug that seems to creep up now and then. We haven't been able to pinpoint its source yet.

Trenton,

have you checked the permissions for /usr/share/config and /usr/kde/4.2/share/config ?
Comment 7 Trenton D. Adams 2009-03-13 17:09:08 UTC
trenta@tdamac ~ $ ls -ld /usr/share/config/
drwx------ 3 root root 4096 Mar  2 23:16 /usr/share/config/

But, the other one seems fine.
trenta@reuben /data/home/trenta $ ls -ld /usr/kde/4.2/share/config
drwxr-xr-x 5 root root 4096 Mar 13 09:31 /usr/kde/4.2/share/config

I noticed that you are setting the work directory to 700.  Is it possible that there isn't an explicit reversal of that before tarring for /usr/share/config/???

Comment 8 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-03-13 17:25:42 UTC
(In reply to comment #7)
> trenta@tdamac ~ $ ls -ld /usr/share/config/
> drwx------ 3 root root 4096 Mar  2 23:16 /usr/share/config/

This is the problem. You need to change its permissions to 755.

> But, the other one seems fine.
> trenta@reuben /data/home/trenta $ ls -ld /usr/kde/4.2/share/config
> drwxr-xr-x 5 root root 4096 Mar 13 09:31 /usr/kde/4.2/share/config
> 
> I noticed that you are setting the work directory to 700.  Is it possible that
> there isn't an explicit reversal of that before tarring for
> /usr/share/config/???

No, we're setting it to 755 because we 700 akonadi (and a few other apps) won't be able to read their files and fail.
Comment 9 Trenton D. Adams 2009-03-13 17:28:27 UTC
Oh, I didn't realize that you didn't read my first post. LOL.  I already changed the permissions.
Comment 10 Trenton D. Adams 2009-03-13 17:29:45 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > I noticed that you are setting the work directory to 700.  Is it possible that
> > there isn't an explicit reversal of that before tarring for
> > /usr/share/config/???
> 
> No, we're setting it to 755 because we 700 akonadi (and a few other apps) won't
> be able to read their files and fail.
> 

line 689 of /usr/lib64/portage/bin/ebuild.sh says...
install -m${PORTAGE_WORKDIR_MODE:-0700} -d "${WORKDIR}" || die "Failed to create dir '${WORKDIR}'"
Comment 11 Tomáš Chvátal (RETIRED) gentoo-dev 2009-03-13 17:48:41 UTC
*** Bug 262347 has been marked as a duplicate of this bug. ***
Comment 12 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-03-13 17:52:01 UTC
(In reply to comment #9)
> Oh, I didn't realize that you didn't read my first post. LOL.  I already
> changed the permissions.

What are the permissions currently? After you change them to 755, you should restart your session.

(In reply to comment #10)
> (In reply to comment #8)
> > (In reply to comment #7)
> > > I noticed that you are setting the work directory to 700.  Is it possible that
> > > there isn't an explicit reversal of that before tarring for
> > > /usr/share/config/???
> > 
> > No, we're setting it to 755 because we 700 akonadi (and a few other apps) won't
> > be able to read their files and fail.
> > 
> 
> line 689 of /usr/lib64/portage/bin/ebuild.sh says...
> install -m${PORTAGE_WORKDIR_MODE:-0700} -d "${WORKDIR}" || die "Failed to
> create dir '${WORKDIR}'"

${WORKDIR} is where Portage builds the app - usually /var/tmp/portage/${CATEGORY}/${P}/work
The problem is with the insalled dirs, so we need to grep the cmake files to check if any of the packages is installing /usr/share/config as 700.
Comment 13 Trenton D. Adams 2009-03-13 19:13:26 UTC
(In reply to comment #12)
> (In reply to comment #9)
> > Oh, I didn't realize that you didn't read my first post. LOL.  I already
> > changed the permissions.

Houston, Houston, we have a communication break down.  ;)  lol.  I changed the permissions, and it is now working for me.  It was working for me before I submitted the bug report. :D

I only submitted it so you guys could fix your end.
Comment 14 Maciej Mrozowski gentoo-dev 2009-07-05 17:13:11 UTC
*** Bug 257504 has been marked as a duplicate of this bug. ***
Comment 15 Maciej Mrozowski gentoo-dev 2009-07-23 07:25:42 UTC
*** Bug 278795 has been marked as a duplicate of this bug. ***
Comment 16 Maciej Mrozowski gentoo-dev 2009-07-23 07:27:05 UTC
Apparently permissions are sometimes broken for /usr/share/kde4/services/kded
Comment 17 Maciej Mrozowski gentoo-dev 2009-08-06 01:38:57 UTC
bug 278312 is related to this one as well - oxygen-icons has been caught (by kde4-functions this time) on breaking permissions - don't close it as duplicate please
Comment 18 Peter Albrecht 2009-10-25 20:02:03 UTC
The previous post (from Maciej Mrozowski  2009-08-06) refered to oxygen-icons-4.2.96. It's still a "problem" with Version 4.3.1.
Comment 19 Maciej Mrozowski gentoo-dev 2009-10-27 13:56:54 UTC
*** Bug 278312 has been marked as a duplicate of this bug. ***
Comment 20 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-04-09 02:15:03 UTC
So, is this fixed for 4.4.2? Is oxygen-icons the only package left?
Comment 21 Andreas K. Hüttel archtester gentoo-dev 2010-05-29 11:23:33 UTC
Seems ok, and there have been no duplicates for a while. Resolving...
Comment 22 Andreas K. Hüttel archtester gentoo-dev 2010-05-30 18:16:30 UTC
*** Bug 293545 has been marked as a duplicate of this bug. ***